Update a merchant
curl --request PATCH \
--url https://api.pay.walletconnect.com/v1/merchants/{merchantId} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"merchantName": "<string>",
"merchantEmail": "jsmith@example.com",
"iconUrl": "https://example.com/new-logo.png"
}
'import requests
url = "https://api.pay.walletconnect.com/v1/merchants/{merchantId}"
payload = {
"merchantName": "<string>",
"merchantEmail": "jsmith@example.com",
"iconUrl": "https://example.com/new-logo.png"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantName: '<string>',
merchantEmail: 'jsmith@example.com',
iconUrl: 'https://example.com/new-logo.png'
})
};
fetch('https://api.pay.walletconnect.com/v1/merchants/{merchantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant": {
"id": "mrch_7kBz2qR9xPvLmN4Yw",
"name": "Acme Store v2",
"email": "billing@acme.store",
"status": "active",
"iconUrl": "https://imagedelivery.net/example/acme-icon.png",
"createdAt": "2025-06-15T10:30:00.000Z"
}
}Merchants
Update a merchant
Update a merchant’s profile. At least one of merchantName, merchantEmail, or iconUrl must be provided. Pass iconUrl: null to unset the existing logo.
PATCH
/
v1
/
merchants
/
{merchantId}
Update a merchant
Authorizations
API KeyApiKeyAppId
Path Parameters
Body
application/json
Updated display name
Required string length:
1 - 256Example:
"Acme Store v2"
Updated contact email
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Example:
"new-billing@acme.store"
Updated logo URL (HTTPS only), or null to unset
Example:
"https://example.com/new-logo.png"
Response
Merchant updated
Show child attributes
Show child attributes
⌘I